package com.etacticsinc.k2.dao;

import java.util.List;

import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.hibernate.query.Query;
import org.springframework.beans.factory.annotation.Autowired;
import com.etacticsinc.k2.orm.ContinuousComplianceAudit;

public class ContinuousComplianceAuditDAO implements IContinuousComplianceAuditDAO {

    @Autowired
    private SessionFactory sessionFactory;

    @Override
    public List<com.etacticsinc.k2.orm.ContinuousComplianceAudit> getAudits() {
        Session currentSession = sessionFactory.getCurrentSession();

        Query<ContinuousComplianceAudit> query = currentSession.createQuery("from ContinuousComplianceAudit", ContinuousComplianceAudit.class);

        List<ContinuousComplianceAudit> customers = query.getResultList();

        return customers;
    }
    
}
